---
layout: post
title: DKIM für weitere Domains einrichten
---
Ich habe mein Mail-Server mit iRedMail installiert. Dies legt bei der Installation für die Hauptdomain eine DKIM-Signatur an. Fügt man nun aber neue Domains hinzu, werde für diese keine DKIM-Signaturen angelegt. Es gibt leider auch keine Möglichkeit in der Admin-Oberfläche DKIM-Signaturen einzurichten.

Folgende Schritte sind durchzuführen um DKIM-Signaturen anzulegen:<!--more-->

Zuerst erzeugen wir einen privaten Schlüssel für die Domain und geben diesen die entsprechenden Rechte:

```
cd /var/lib/dkim/
sudo amavisd-new genrsa new_domain.de.pem
sudo chown amavis.amavis new_domain.de.pem
sudo chmod 0644 new_domain.de.pem
```

Jetzt ergänzen wir die amavis Konfiguration um den erzeugen Schlüssel:

```
vim /etc/amavis/conf.d/50-user
```

Hier suchen wir nach dem Eintrag für die Hauptdomain und fügen unsere neue Domain in der Zeile darunter hinzu:

```
dkim_key("new_domain.de", "dkim", "/var/lib/dkim/new_domain.de.pem");
```

Zuletzt starten wir den amavisd Service neu:

```
sudo service amavis restart
```

Nun muss die neue DKIM-Signatur nur noch der Domain hinzugefügt werden. Dafür benötigen wir den öffentlichen Schlüssel. Diesen erhalten wir mit ```showkeys```:

```
sudo amavisd-new showkeys new_domain.de
```

Ich gehe davon aus, dass bekannt ist wie Ihr diesen Schlüssel hinzufügt.